# The MEME Suite

## Motif-based sequence analysis tools

## elm2meme

### Usage:

`elm2meme [options] <ELM file>+`

### Description

Reads a tab separated quoted values file containing ELM regular expressions and convert them to MEME motifs where possible.

### Input

Reads ELM entries from the listed files.

ELM entries describe a motif as a regular expression. Not all can be converted into MEME motifs due to anchors or variable length.

##### Sample Input

    "Accession"	"ELMIdentifier"	"FunctionalSiteName"	"Description"	"Regex"	"Probability"	"#Instances"	"#Instances_in_PDB"
    "ELME000321"	"CLV_C14_Caspase3-7"	"Caspase cleavage motif"	"Caspase-3 and Caspase-7 cleavage site."	"[DSTE][^P][^DEWHFYC]D[GSAN]"	"0.00309374033071"	"39"	"0"
    "ELME000172"	"CLV_MEL_PAP_1"	"Melanisation activation site"	"Prophenoloxidase-activating proteinase (PAP) cleavage site ([ILV]-X-X-R-|-[FV]-[GS]-X)."	"[ILV]..R[VF][GS]."	"0.000105375572148"	"12"	"0"
    "ELME000102"	"CLV_NRD_NRD_1"	"NRD cleavage site"	"N-Arg dibasic convertase (NRD/Nardilysin) cleavage site (X-|-R-K or R-|-R-X)."	"(.RK)|(RR[^KR])"	"0.00746473248158"	"2"	"0"
    "ELME000101"	"CLV_PCSK_FUR_1"	"PCSK cleavage site"	"Furin (PACE) cleavage site (R-X-[RK]-R-|-X)."	"R.[RK]R."	"0.000508722921034"	"13"	"0"

### Output

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
-h |  | Prints a usage message and exits. | The program runs as normal.